<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('goods_receiving_items', function (Blueprint $table) {
             if (!Schema::hasColumn('goods_receiving_items', 'supplier_bill_no'))
                $table->string('supplier_bill_no')->nullable();

             if (Schema::hasColumn('goods_receiving_items', 'unit'))
                $table->string('unit')->nullable()->change();
            
             if (Schema::hasColumn('goods_receiving_items', 'unit_price'))
                $table->double('unit_price')->nullable()->change();
            
             if (!Schema::hasColumn('goods_receiving_items', 'invoice_item_id'))
                $table->bigInteger('invoice_item_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('goods_receiving_items', function (Blueprint $table) {
            //
        });
    }
};
